Change log for gnome-do-plugins package in Ubuntu

135 of 35 results
Deleted in disco-release (Reason: (From Debian) RoQA; unmaintained, gnome-do is being remov...)
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
gnome-do-plugins (0.8.5-4ubuntu1) yakkety; urgency=medium

  * Cherry-pick upstream fix for DBus-using plugins. (LP: 1615307)

 -- Christopher James Halse Rogers <email address hidden>  Fri, 16 Sep 2016 17:58:24 +1000
Published in trusty-updates on 2016-05-25
Deleted in trusty-proposed (Reason: moved to -updates)
gnome-do-plugins (0.8.5-2ubuntu0.1) trusty; urgency=medium

  * Update Homepage: to not point at spam URL. (LP: #1442873)

 -- Joshua Bayfield <email address hidden>  Tue, 29 Mar 2016 15:42:13 +0000
Superseded in yakkety-release on 2016-09-16
Published in xenial-release on 2015-11-12
Deleted in xenial-proposed (Reason: moved to release)
gnome-do-plugins (0.8.5-4) unstable; urgency=medium

  * [76f7b70] Drop Flickr plugin as it fails to authenticate.
  * [a8446ca] Drop WindowManager plugin. (Closes: 798874)
  * [cd192c0] Update Homepage field
  * [8aff48b] Mark as Built-Using: banshee
  * [3c36fa0] Bump Standards-Version now that we correctly set Built-Using

 -- Christopher James Halse Rogers <email address hidden>  Thu, 12 Nov 2015 10:59:34 +0000

Available diffs

Superseded in xenial-release on 2015-11-12
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
gnome-do-plugins (0.8.5-3) unstable; urgency=medium


  * Team upload
  * [d045ddb] Reexport patches using gbp-pq
  * [28ce61e] Drop outdated urls (Closes: #738195)

 -- Chow Loong Jin <email address hidden>  Tue, 18 Nov 2014 10:15:09 +0800

Available diffs

Superseded in vivid-release on 2014-11-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-01-12
Deleted in trusty-proposed (Reason: moved to release)
gnome-do-plugins (0.8.5-2) unstable; urgency=low


  * [9ce0e96] Use DBus# 2.0 API.

 -- Jo Shields <email address hidden>  Thu, 09 Jan 2014 10:18:50 +0000

Available diffs

Superseded in trusty-release on 2014-01-12
Deleted in trusty-proposed on 2014-01-13 (Reason: moved to release)
gnome-do-plugins (0.8.5-1) unstable; urgency=low


  * Fix watch file
  * Imported Upstream version 0.8.5
    + New upstream fixes FTBFS with Mono 3.0 (Closes: #713077)
  * Drop DLLMap config files for WindowManager and XRandR plugins, now shipped upstream.
  * Drop dh_auto_clean override; upstream no longer ships generated files
  * Drop 02_select_correct_banshee_dbus_implementation.patch; fixed upstream.
  * Add libnewtonsoft-json-cil-dev to Bulid-Depends for new Transmission plugin

 -- Christopher James Halse Rogers <email address hidden>  Tue, 15 Oct 2013 21:43:20 +1100

Available diffs

Superseded in trusty-release on 2013-10-22
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
gnome-do-plugins (0.8.4-5) unstable; urgency=low


  * Team upload
  * Rebuild for gdata-sharp 2.1.0.0
  * [d49ef4b] Bump Standards-Version to 3.9.3

 -- Chow Loong Jin <email address hidden>  Tue, 05 Jun 2012 02:25:53 +0800

Available diffs

Superseded in quantal-release on 2012-06-08
gnome-do-plugins (0.8.4-4) unstable; urgency=low


  * Team upload
  * Rebuild for CLR 4.0 transition
  * [538c431] Move to 3.0 (quilt) format
  * [fdfdbe0] No-change Standards-Version bump (3.9.1 → 3.9.2)

 -- Chow Loong Jin <email address hidden>  Thu, 19 Jan 2012 14:52:14 +0800
Superseded in quantal-release on 2012-05-01
Published in precise-release on 2012-01-05
gnome-do-plugins (0.8.4-3build1) precise; urgency=low

  * No changes rebuild for libgdata1.9-cil transition
 -- Angel Abad <email address hidden>   Thu, 05 Jan 2012 18:45:01 +0100

Available diffs

Superseded in precise-release on 2012-01-05
gnome-do-plugins (0.8.4-3) unstable; urgency=low

  * No-change rebuild for new gdata-sharp ABI (Closes: #652842)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  04 Jan 2012 12:25:03 +0000

Available diffs

Superseded in precise-release on 2012-01-04
gnome-do-plugins (0.8.4-2) unstable; urgency=low

  * [fad2401] Add 02_select_correct_banshee_dbus_implementation.patch.
    Fixes the detection of when to use dbus-sharp instead of ndesk.dbus, which
    was causing do-plugins to FTBFS in sid. (Closes: #634433)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 10:55:32 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
gnome-do-plugins (0.8.4-1build1) oneiric; urgency=low

  * Rebuild for mono 2.10 transition.  Fixes GNOME Do crash on startup.
    (LP: #816507)
 -- Christopher James Halse Rogers <email address hidden>   Wed, 27 Jul 2011 10:16:32 +1000

Available diffs

Superseded in oneiric-release on 2011-07-27
gnome-do-plugins (0.8.4-1) unstable; urgency=low

  [ Iain Lane ]
  * Update to use my d.o email address

  [ Christopher James Halse Rogers ]
  * Imported Upstream version 0.8.4
  * Drop 02_gdata_1.7_compatibility.diff; fixed upstream
  * Bump gnome-do depends versioning to 0.8.5 for new plugin APIs
  * Add --enable-release configure flag; upstream's build system is fixed now.
  * Use ‘--with cli’ in rules to avoid warning spam
  * Remove mention of long-dead Evolution plugin from package description.
    (LP: 682228)
  * Add dllmap files for WindowManager and XRandR plugins

Available diffs

Superseded in oneiric-release on 2011-06-28
Obsolete in natty-release on 2013-06-04
gnome-do-plugins (0.8.3-0ubuntu1) natty; urgency=low

  * Pre-sync from Debian git.  All Ubuntu changes are now upstream.
  * It came from the deep! New upstream release
  * debian/rules:
    - Now 100% dfsg-free; drop get-orig-source logic
    - Drop autoreconf-ing; we no longer need to patch the build system.
    - Add “--with” quilt to actually apply the patches.
    - Delete *.addin.xml files on clean; these are autogenerated files which
      shouldn't be in the tarball, and they clutter the debian diff.
    - Upstream buildsystem no longer fails without unused mautil.  Drop it from
      configure.
  * debian/patches/00_debian_default_plugins.patch:
    - Refresh for new upstream version.
  * debian/patches/02_fix_firefox_icon.patch:
    - Drop; fixed in more generality upstream.
  * debian/control:
    - Bump runtime and build-depends on gnome-do to 0.8.4.
    - Add libdbus1.0-cil-dev and libdbus-glib1.0-cil-dev to Build-Depends for
      Empathy plugin.
    - Bump Standards-Version; no changes required.
    - Transition VCS-* fields to git
  * debian/patches/02_gdata_1.7_compatibility.diff:
    - Drop address field from the GMail contacts plugin; this API changed in
      gdata .NET 1.7, and needs fixing upstream
 -- Christopher James Halse Rogers <email address hidden>   Mon, 21 Feb 2011 22:31:09 +1100
Superseded in natty-release on 2011-02-24
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
gnome-do-plugins (0.8.2.1+dfsg-2ubuntu1) lucid; urgency=low

  * Merge from Debian unstable for -cil-dev transition fixes.  Remaining Ubuntu
    changes:
    + debian/patches/02_gnomesession_lock_screen.dpatch:
      - Lock screen prior to suspending or hibernating (LP: #460303)

Superseded in lucid-release on 2010-02-09
Obsolete in karmic-release on 2013-03-04
gnome-do-plugins (0.8.2.1+dfsg-1~ubuntu2) karmic; urgency=low

  * debian/patches/02_gnomesession_lock_screen.dpatch:
    + Lock screen prior to suspending or hibernating (LP: #460303)

 -- Chow Loong Jin <email address hidden>   Sun, 25 Oct 2009 18:37:11 +0800
Superseded in karmic-release on 2009-10-25
gnome-do-plugins (0.8.2.1+dfsg-1~ubuntu1) karmic; urgency=low

  * Upload from pkg-cli-apps SVN to get this new bugfix release into Karmic.

Superseded in karmic-release on 2009-10-14
gnome-do-plugins (0.8.2+dfsg-2) unstable; urgency=low

  * debian/control: Update libflickrnet build dependency for 2.2.0 transition
    (Closes: #543804)
  * debian/control: Bump standards-version, no changes
  * debian/control: Increase debhelper minimum version (thanks Lintian)

 -- Iain Lane <email address hidden>   Mon,  21 Sep 2009 12:26:18 +0100

Available diffs

Superseded in karmic-release on 2009-09-21
gnome-do-plugins (0.8.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + Pidgin plugin now supports initial text for messages (LP: #338608)
    + Pidgin plugin opens conversations on the correct IM network (LP: #370965)
  * debian/rules:
    + Update get-orig-source target.  Upstream no longer ships gdata* binaries,
      so we no longer need to strip them
  * debian/patches/00_use_system_gdata
    + Drop.  Upstream now builds against system libgdata.
  * debian/patches/04_fix_pidgin_dbus_ints
  * debian/patches/10_fix_rhythmbox_file
  * debian/patches/15_twitter_api
  * debian/patches/20_twitter_overflow:
    + Drop.  Included upstream.
  * debian/patches/01_firefox_iceweasel_rename:
    + Refresh for new version
  * debian/patches/02_fix_banshee_plugin:
    + Drop refernce to /usr/lib/banshee-1/Banshee.CollectionIndexer.dll.
      This is unnecessary, and causes errors when Banshee isn't installed.
  * debian/patches/00_debian_default_plugins:
    + Enable a bunch of useful plugins that do not require configuration from 
      the "Official" plugin set by default.  Makes Do more useful out of the 
      box.
  * debian/control:
    + Bump versioned build-dep on gnome-do to 0.8.2
    + Split out gnome-do-plugin-evolution package, now that this is possible.
      libevolution5.0-cil has an annoyingly large dependency stack.
      (LP: #351535) (Closes: #524993).

 -- Steve Kowalik <email address hidden>   Wed,  12 Aug 2009 12:18:46 +0100
Obsolete in jaunty-updates on 2013-02-28
Deleted in jaunty-proposed on 2013-02-28 (Reason: moved to -updates)
gnome-do-plugins (0.8.1.3+dfsg-0ubuntu3.1) jaunty-proposed; urgency=low

  * debian/patches/20_twitter_overflow.dpatch: Backport patch from Karmic
    -2ubuntu2 versionto fix broken Twitter message sending. The number of
    messages posted to Twitter has overflowed the size of an int(!), so these
    variables have been converted to longs. (LP: #387525)

 -- Iain Lane <email address hidden>   Tue, 16 Jun 2009 12:51:22 +0100
Superseded in karmic-release on 2009-08-12
gnome-do-plugins (0.8.1.3+dfsg-2ubuntu2) karmic; urgency=low

  * debian/patches/20_twitter_overflow.dpatch: Backport patch from upstream
    bzr (and Debian SVN) to fix broken Twitter message sending. The number of
    messages posted to Twitter has overflowed the size of an int(!), so these
    variables have been converted to longs. (LP: #387525)

 -- Iain Lane <email address hidden>   Tue, 16 Jun 2009 01:06:39 +0100
Superseded in karmic-release on 2009-06-16
gnome-do-plugins (0.8.1.3+dfsg-2ubuntu1) karmic; urgency=low

  * Resync on Debian(Unstable), remaining changes:
    - debian/patches/20_use_csc.patch: Patch gdata to use csc compiler

 -- Stefan Ebner <email address hidden>   Sun, 17 May 2009 16:28:52 +0200
Superseded in karmic-release on 2009-05-17
Obsolete in jaunty-release on 2013-02-28
gnome-do-plugins (0.8.1.3+dfsg-0ubuntu3) jaunty; urgency=low

  * debian/patches/15_twitter_api.dpatch: Backport upstream patch to fix
    compatibility with new Twitter API - changed to require GET or POST
    specifically for some actions instead of accepting either. (LP: #359141)

 -- Iain Lane <email address hidden>   Sun, 19 Apr 2009 00:54:44 +0100
Superseded in jaunty-release on 2009-04-19
gnome-do-plugins (0.8.1.3+dfsg-0ubuntu2) jaunty; urgency=low

  * debian/patches/10_rhtyhmbox_file.patch: Backport upstream patch to fix RB
    plugin
  * debian/patches/20_use_csc.patch: Patch gdata to use csc compiler

 -- Iain Lane <email address hidden>   Wed, 18 Mar 2009 15:31:04 +0000
Superseded in jaunty-release on 2009-03-18
gnome-do-plugins (0.8.1.3+dfsg-0ubuntu1) jaunty; urgency=low

  [ Daniel T Chen ]
  * New upstream release (LP: #344578)
    + Banshee plugin goes crazy if banshee isn't loaded first
      (LP: #289802)
    + gnome-do gCalculate plugin fails to display "times" symbol
      (LP: #274252)
    + Banshee-1 fails to build in Mono 2.0 (LP: #309188)
    + Pidgin 2.5.4 has incompatible dbus interface. s/uint/int/
      (LP: #314927)
    + Pidgin plugin hangs opening a chat if pidgin is unresponsive
      (LP: #315565)
    + twitter plugin still reports friend updates even when
      deactivated (LP: #317674)
    + Misspelling in microblogging plugin confirmation message
      (LP: #319433)
    + make install uses mdtool, but configure doesn't check for it
      (LP: #322951)
    + Virtualbox Icon in 2.10 are broken because of a new
      specification (LP: #323902)
    + Google Maps Plugin shouldn't always use route (LP: #324271)
    + Fix for Google Maps when using newlines and other special
      characters (LP: #324667)
    + VirtualBox failed to load icon (LP: #325712)
    + 'Read Man Pages' plugin makes Gnome-Do unresponsive
      (LP: #325935)
    + Search returns broken URLs (LP: #327855)
    + Default action for SSH hosts is "open" (LP: #328236)
    + Files and Folders Configuration doesn't use standard buttons
      (LP: #328236)
    + Window manager maximize action should focus if window is not
      currently focused (LP: #258893)
    + Locate plugin has no error message (LP: #262360)
    + Wishlist: Let user specify files and folders to ignore
      (LP: #263177)
    + ts-client plugin doesn't index subdirectories (LP: #322352)
    + Max 3000 items in Files and Folders plugin (LP: #324105)
    + putty cannot find host when running from gnome do
      (LP: #324282)
    + locate plugin with globbing (LP: #334798)
    + Twitter plugin encountered an error in UpdateFriends
      (LP: #317575)
    + gnome-terminal profiles no longer work (LP: #321977)
    + Creating a task using Remember the Milk plugin can fail if
      no task list is specified (LP: #324066)
    + bundled libraries makefile needs destdir (LP: #324704)
    + Typographical error in del.icio.us plugin (LP: #330525)
    + ImageShack fails to upload (LP: #337324)
  * debian/copyright
    + Refresh for new upstream version; new plugins added.
  * debian/patches/00_dfsg_autofoo.dpatch
    + Update for new upstream version
    + Don't build the YouTube plugin due to removal of shipped
      exes and dlls causing FTBFS
  * debian/patches/02_ssh_respect_exec_arg.dpatch
    debian/patches/03_buildsystem_respect_mcs.dpatch
    debian/patches/04_fix_pidgin_dbus_ints.dpatch
    + Drop; fixed upstream

  [ Iain Lane ]
  * debian/rules: Update repackaging to not delete *.dll; upstream now ships
    source copies of google-gdata meaning we can now enable the Google and
    Youtube plugins.
  * debian/patches/00_dfsg_autofoo: Drop, fixed by including and building
    these libs now.
  * debian/copyright: Update with information for google-gdata.
  * debian/patches/04_fix_pidgin_dbus_ints.dpatch: Add left out piece of patch
  * debian/control: Bump gnome-do build-dep to require current version.

 -- Iain Lane <email address hidden>   Wed, 18 Mar 2009 00:40:51 +0000
Superseded in jaunty-release on 2009-03-18
gnome-do-plugins (0.8.0.2+dfsg1-1~ubuntu3) jaunty; urgency=low

  * debian/patches/04_fix_pidgin_dbus_ints.dpatch: Added first bit of upstream
    patch which I had left out.

 -- Jonathan Davies <email address hidden>   Sat, 07 Mar 2009 22:52:13 +0000
Superseded in jaunty-release on 2009-03-07
gnome-do-plugins (0.8.0.2+dfsg1-1~ubuntu2) jaunty; urgency=low

  * Added debian/patches/04_fix_pidgin_dbus_ints.patch: Fixes D-Bus errors with
    Pidgin Chat plugin - backported fix from upstream (Bazaar revision 557)
    (LP: #314927).

 -- Jonathan Davies <email address hidden>   Sat, 07 Mar 2009 21:46:57 +0000
Superseded in jaunty-release on 2009-03-07
gnome-do-plugins (0.8.0.2+dfsg1-1~ubuntu1) jaunty; urgency=low

  * Bump dfsg version to pick up repacking fixes by Christopher James Halse
    Rogers which allow previously disabled plugins to be reenabled.
  * debian/patches/01_firefox_iceweasel_rename: The profiles file is called
    profiles.ini and not profile.ini. Update accordingly.

 -- Iain Lane <email address hidden>   Fri, 27 Feb 2009 17:59:16 +0000
Superseded in jaunty-release on 2009-02-27
gnome-do-plugins (0.8.0.2+dfsg-1~ubuntu3) jaunty; urgency=low

  * Rebuild libevolution3.0-cil -> libevolution5.0-cil (LP: #332784)

 -- Stefan Lesicnik <email address hidden>   Tue, 24 Feb 2009 13:39:08 +0200
Superseded in jaunty-release on 2009-02-24
gnome-do-plugins (0.8.0.2+dfsg-1~ubuntu2) jaunty; urgency=low

  * debian/patches/03_disable_plugins_ftbfs.dpatch: Temporary workaround for
    now to disable some plugins which caused a build failure.

 -- Iain Lane <email address hidden>   Sun, 15 Feb 2009 13:15:43 +0000
Superseded in jaunty-release on 2009-02-15
gnome-do-plugins (0.8.0.2+dfsg-1~ubuntu1) jaunty; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream version
  * debian/control:
    + gnome-sharp2 transition (LP: #314516)
    + Add banshee build-dep
    + Drop monodevelop build-dep; upstream uses mautil rather than mdtool now
    + Bump required gnome-do version in Build-Dep & Depends.
    + Suggest Banshee
  * debian/copyright:
    + Refresh for new upstream version; new plugins added.
  * debian/rules:
    + Rework clean target to simply delete files generated by autoreconf,
      rather than trying to preserve them.
    + Remove XDG_CONFIG_DIR hack needed for mdtool
  * debian/patches/01_firefox_iceweasel_rename:
    + Refresh for new upsteam changes.
    + Extend to also make the Firefox bookmark plugin index iceweasel bookmarks

  [ Iain Lane ]
  * Tag pkg-cli-apps SVN revision into Jaunty, to get in before Feature
    Freeze. Should be a sync after the next Debian upload.
  * debian/control: Add ${misc:Depends} build-dep
  * debian/rules: Do not fail if configure is missing (e.g. clean twice in a
    row)

 -- Christopher James Halse Rogers <email address hidden>   Thu, 05 Feb 2009 16:58:51 +1100
Superseded in jaunty-release on 2009-02-15
gnome-do-plugins (0.6.0.1+dfsg-0ubuntu3) jaunty; urgency=low

  * Merge in changes from pkg-cli-apps SVN.  This package should be
    (fake)syncable once 0.6.0.1+dfsg-1 is published in Debian.
  * debian/control:
    + Mono 2.0 transition:
      - Switch from mono-gmcs to mono-devel (>= 2.0) for B-D-I
  * debian/rules:
    + Mono 2.0 transition:
      - Call "dh build" with MCS=/usr/bin/csc
    + Update get-orig-source target to match pkg-cli-apps policy
  * debian/patches/03_buildsystem_respect_mcs.dpatch:
    + Patch **/Makefile.am to use $(MCS) rather than the hardcoded gmcs
  * debian/patches/02_ssh_respect_exec_arg.dpatch
    + Respect the terminal's "exec" arg set in gconf.  Patch by
      Philipp A. Hartmann.

 -- Christopher James Halse Rogers <email address hidden>   Sat, 29 Nov 2008 17:48:37 +1100
Superseded in jaunty-release on 2008-11-29
Obsolete in intrepid-release on 2013-02-20
gnome-do-plugins (0.6.0.1+dfsg-0ubuntu2) intrepid; urgency=low

  * Add missing Conflicts/Replaces on gnome-do-plugin-rhythmbox and
    gnome-do-plugin-amarok (LP: #276364).  These were split from the main
    package, and this split is no longer useful.

 -- Christopher James Halse Rogers <email address hidden>   Wed, 01 Oct 2008 09:26:49 +1000
Superseded in intrepid-release on 2008-10-01
gnome-do-plugins (0.6.0.1+dfsg-0ubuntu1) intrepid; urgency=low

  * New upstream version.  FFe is LP: #267020
  * debian/control
    + Refresh build-depends
    + Don't Suggest amarok, the plugin is no longer built
    + Bump standards-version, adding a README.Source
  * debian/rules
    + Remove --disable-banshee and --disable-amarok from the configure flags.
      These plugins are no longer built upstream.
    + Expand get-orig-source to strip the binary DLLs from the source tarball
    + Run autoreconf after patching to not build plugins dependent on the
      shipped binary libs.
    + Make a copy the original Makefile.in & configure before patching and
      copy back on clean.
    + Export a temporary XDG_CONFIG_HOME.  The build uses mdtool, which wants
      to write to $XDG_CONFIG_HOME.
  * debian/patches/00_dfsg_autofoo
    + Remove the plugins that depend on the shipped binaries from the build
  * debian/patches/01_firefox_iceweasel_rename
    + Refresh for new version
  * debian/watch
    + Update for new upstream location, add version mangle for dfsg
  * debian/copyright
    + Refresh for new upstream version
    + Update to latest CopyrightFormat proposal

 -- Christopher James Halse Rogers <email address hidden>   Sun, 14 Sep 2008 10:22:40 +1000
Superseded in intrepid-release on 2008-09-14
gnome-do-plugins (0.4.0-1ubuntu1) intrepid; urgency=low

  * Rebase Ubuntu package on new Debian packaging
  * Debian/control:
    + Add Replaces on gnome-do-plugin-rhythmbox.  Debian doesn't
      have this package split from Hardy, and doesn't build the Amarok plugin.
    + iceweasel -> firefox, icedove -> thunderbird
    + Remove amarok from Suggests - the Amarok plugin isn't being built.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Christopher James Halse Rogers <email address hidden>   Sun, 29 Jun 2008 16:59:31 +1000
135 of 35 results